Bug 96528 - Location qualifier segfaults during shader compilation
Summary: Location qualifier segfaults during shader compilation
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: glsl-compiler (show other bugs)
Version: 11.2
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 17:00 UTC by pavol
Modified: 2016-07-31 00:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pavol 2016-06-14 17:00:59 UTC
Following shader program causes segfault during glCreateShaderProgramv(GL_VERTEX_SHADER, 1, &str);

```
#version 450


layout(location = 0, std140) uniform MatrixBlock {
        mat4 model;
        mat4 view;
        mat4 projection;
};


out gl_PerVertex {
        vec4 gl_Position;
};


void
main(void)
{
        gl_Position = vec4(1.0);
}
```

I know that binding should be used in this case for interface block, but should not the compiler give an error? Tested on r600 and llvmpipe.
Comment 1 Timothy Arceri 2016-07-31 00:29:03 UTC
Should be fixed by:

author	Timothy Arceri <timothy.arceri@collabora.com>
commit	f696b712d7b7c7b701667691bc044b42c1195a69 (patch)

glsl: be more strict on block qualifiersHEADmaster

V2: Add spec references and allow patch qualifier (Ken)

Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=96528


bug/show.html.tmpl processed on Mar 30, 2017 at 04:45:45.
(provided by the Example extension).